Database Automatic Tuning - Update
Frissítse a céladatbázis automatikus hangolási tulajdonságait.
PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/automaticTuning/current?api-version=2023-08-01
URI paraméterek
| Név | Ban | Szükséges | Típus | Leírás |
|---|---|---|---|---|
|
database
|
path | True |
string |
Az adatbázis neve. |
|
resource
|
path | True |
string |
Az erőforrást tartalmazó erőforráscsoport neve. Ezt az értéket az Azure Resource Manager API-ból vagy a portálról szerezheti be. |
|
server
|
path | True |
string |
A kiszolgáló neve. |
|
subscription
|
path | True |
string |
Az Azure-előfizetést azonosító előfizetés-azonosító. |
|
api-version
|
query | True |
string |
A kéréshez használni kívánt API-verzió. |
Kérő Testület
| Név | Típus | Leírás |
|---|---|---|
| properties.desiredState |
A kívánt állapot automatikus finomhangolása. |
|
| properties.options |
<string,
Automatic |
Automatikus hangolási beállítások definíciója. |
Válaszok
| Név | Típus | Leírás |
|---|---|---|
| 200 OK |
Sikeresen frissítette a megadott adatbázis automatikus hangolási beállításait. |
|
| Other Status Codes |
Hibaválaszok: ***
|
Példák
| Updates database automatic tuning settings with all properties |
| Updates database automatic tuning settings with minimal properties |
Updates database automatic tuning settings with all properties
Mintakérés
PATCH https://management.azure.com/subscriptions/c3aa9078-0000-0000-0000-e36f151182d7/resourceGroups/default-sql-onebox/providers/Microsoft.Sql/servers/testsvr11/databases/db1/automaticTuning/current?api-version=2023-08-01
{
"properties": {
"desiredState": "Auto",
"options": {
"createIndex": {
"desiredState": "Off"
},
"dropIndex": {
"desiredState": "On"
},
"forceLastGoodPlan": {
"desiredState": "Default"
}
}
}
}
Mintaválasz
{
"id": "/subscriptions/c3aa9078-0000-0000-0000-e36f151182d7/resourceGroups/default-sql-onebox/providers/Microsoft.Sql/servers/testsvr11/databases/db1/automaticTuning/current",
"name": "current",
"type": "Microsoft.Sql/servers/databases/automaticTuning",
"properties": {
"desiredState": "Auto",
"actualState": "Auto",
"options": {
"forceLastGoodPlan": {
"desiredState": "Default",
"actualState": "On",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"createIndex": {
"desiredState": "Off",
"actualState": "Off"
},
"dropIndex": {
"desiredState": "On",
"actualState": "On"
},
"maintainIndex": {
"desiredState": "Default",
"actualState": "Off",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
}
}
}
}
Updates database automatic tuning settings with minimal properties
Mintakérés
PATCH https://management.azure.com/subscriptions/c3aa9078-0000-0000-0000-e36f151182d7/resourceGroups/default-sql-onebox/providers/Microsoft.Sql/servers/testsvr11/databases/db1/automaticTuning/current?api-version=2023-08-01
{
"properties": {
"desiredState": "Auto"
}
}
Mintaválasz
{
"id": "/subscriptions/c3aa9078-0000-0000-0000-e36f151182d7/resourceGroups/default-sql-onebox/providers/Microsoft.Sql/servers/testsvr11/databases/db1/automaticTuning/current",
"name": "current",
"type": "Microsoft.Sql/servers/databases/automaticTuning",
"properties": {
"desiredState": "Auto",
"actualState": "Auto",
"options": {
"forceLastGoodPlan": {
"desiredState": "Default",
"actualState": "On",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"createIndex": {
"desiredState": "Default",
"actualState": "On",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"dropIndex": {
"desiredState": "Default",
"actualState": "Off",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"maintainIndex": {
"desiredState": "Default",
"actualState": "Off",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
}
}
}
}
Meghatározások
| Név | Leírás |
|---|---|
|
Automatic |
Ok leírása, ha a kívánt és a tényleges állapot eltérő. |
|
Automatic |
A kívánt állapot automatikus finomhangolása. |
|
Automatic |
Automatikus finomhangolási beállítás tényleges állapota. |
|
Automatic |
Automatikus finomhangolási beállítás kívánt állapota. |
|
Automatic |
Az egyes tanácsadók automatikus hangolási tulajdonságai. |
|
Database |
Adatbázisszintű automatikus hangolás. |
|
Error |
Az erőforrás-kezelési hiba további információi. |
|
Error |
A hiba részletei. |
|
Error |
Hibaválasz |
AutomaticTuningDisabledReason
Ok leírása, ha a kívánt és a tényleges állapot eltérő.
| Érték | Leírás |
|---|---|
| Default | |
| Disabled | |
| AutoConfigured | |
| InheritedFromServer | |
| QueryStoreOff | |
| QueryStoreReadOnly | |
| NotSupported |
AutomaticTuningMode
A kívánt állapot automatikus finomhangolása.
| Érték | Leírás |
|---|---|
| Inherit | |
| Custom | |
| Auto | |
| Unspecified |
AutomaticTuningOptionModeActual
Automatikus finomhangolási beállítás tényleges állapota.
| Érték | Leírás |
|---|---|
| Off | |
| On |
AutomaticTuningOptionModeDesired
Automatikus finomhangolási beállítás kívánt állapota.
| Érték | Leírás |
|---|---|
| Off | |
| On | |
| Default |
AutomaticTuningOptions
Az egyes tanácsadók automatikus hangolási tulajdonságai.
| Név | Típus | Leírás |
|---|---|---|
| actualState |
Automatikus finomhangolási beállítás tényleges állapota. |
|
| desiredState |
Automatikus finomhangolási beállítás kívánt állapota. |
|
| reasonCode |
integer (int32) |
Okkód, ha a kívánt és a tényleges állapot eltérő. |
| reasonDesc |
Ok leírása, ha a kívánt és a tényleges állapot eltérő. |
DatabaseAutomaticTuning
Adatbázisszintű automatikus hangolás.
| Név | Típus | Leírás |
|---|---|---|
| id |
string |
Erőforrás-azonosító. |
| name |
string |
Erőforrás neve. |
| properties.actualState |
A tényleges állapot automatikus finomhangolása. |
|
| properties.desiredState |
A kívánt állapot automatikus finomhangolása. |
|
| properties.options |
<string,
Automatic |
Automatikus hangolási beállítások definíciója. |
| type |
string |
Erőforrás típusa. |
ErrorAdditionalInfo
Az erőforrás-kezelési hiba további információi.
| Név | Típus | Leírás |
|---|---|---|
| info |
object |
A további információk. |
| type |
string |
A további információtípus. |
ErrorDetail
A hiba részletei.
| Név | Típus | Leírás |
|---|---|---|
| additionalInfo |
A hiba további információi. |
|
| code |
string |
A hibakód. |
| details |
A hiba részletei. |
|
| message |
string |
A hibaüzenet. |
| target |
string |
A hibacél. |
ErrorResponse
Hibaválasz
| Név | Típus | Leírás |
|---|---|---|
| error |
A hibaobjektum. |